%define module_name MCDB_File
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0108
Release: alt2
Summary: Perl extension for access to mcdb constant databases
Group: Development/Perl
License: perl
URL: https://github.com/gstrauss/mcdb

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSTRAUSS/%{module_name}-%{version}.tar.gz

%description
MCDB_File is a module which provides a Perl interface to mcdb.
mcdb is originally based on Dan Bernstein's cdb package.

    mcdb - fast, reliable, simple code to create, read constant databases

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT ChangeLog README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.0108-alt2
- rebuild with perl 5.38

* Fri Sep 30 2022 Igor Vlasenko <viy@altlinux.org> 0.0108-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.0107-alt2
- rebuild with perl 5.34.0

* Tue Feb 16 2021 Igor Vlasenko <viy@altlinux.ru> 0.0107-alt1
- initial import by package builder

